Package org.bukkit.block.data.type

# Interface MangrovePropagule

All Superinterfaces:
  `Ageable`, `BlockData`, `Cloneable`, `Hangable`, `Sapling`, `Waterlogged`

public interface MangrovePropagule extends Ageable, Hangable, Sapling, Waterlogged

## Method Summary

### Methods inherited from interface org.bukkit.block.data.Ageable

`getAge, getMaximumAge, setAge`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Hangable

`isHanging, setHanging`

### Methods inherited from interface org.bukkit.block.data.type.Sapling

`getMaximumStage, getStage, setStage`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`